## clxclient 3.3.2

=== Makefile ===
#  Copyright (C) 2003-2006 Fons Adriaensen <fons.adriaensen@skynet.be>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License as published
#  by the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with this program; if not, write to the Free Software
#  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


# Modify as required.
#
PREFIX = /usr
SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
LIBDIR = lib$(SUFFIX)


MAJVERS = 3
MINVERS = 3.2
VERSION = $(MAJVERS).$(MINVERS)
DISTDIR = clxclient-$(VERSION)


CPPFLAGS += -Wall -I. -I/usr/X11R6/include -I/usr/include/freetype2 -fpic -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -O2 
LDFLAGS += -L$(PREFIX)/$(LIBDIR) -L/usr/X11R6/$(LIBDIR)
LDLIBS +=


CLXCLIENT_SO = libclxclient.so
CLXCLIENT_MAJ = $(CLXCLIENT_SO).$(MAJVERS)
CLXCLIENT_MIN = $(CLXCLIENT_MAJ).$(MINVERS)
CLXCLIENT_DEP = -lpthread -lXft -lX11
CLXCLIENT_O = xdisplay.o xresman.o xhandler.o xwindow.o xdraw.o \
	button.o textip.o enumip.o menuwin.o scale.o slider.o scroll.o mclist.o meter.o
CLXCLIENT_H = clxclient.h


$(CLXCLIENT_MIN): $(CLXCLIENT_O)
	g++ -shared $(LDFLAGS) -Wl,-soname,$(CLXCLIENT_MAJ) -o $(CLXCLIENT_MIN) $(CLXCLIENT_O) $(CLXCLIENT_DEP)


install:	$(CLXCLIENT_MIN)
	/usr/bin/install -d $(PREFIX)/$(LIBDIR)
	/usr/bin/install -m 644 $(CLXCLIENT_H) $(PREFIX)/include
	/usr/bin/install -m 755 $(CLXCLIENT_MIN) $(PREFIX)/$(LIBDIR)
	/sbin/ldconfig -n $(PREFIX)/$(LIBDIR)
	ln -sf $(CLXCLIENT_MIN) $(PREFIX)/$(LIBDIR)/$(CLXCLIENT_SO)


clean:
	/bin/rm -f *~ *.o *.a *.d *.so.*


tarball:
	cd ..; \
	/bin/rm -f -r $(DISTDIR)*; \
	svn export clxclient $(DISTDIR); \
	tar cvf $(DISTDIR).tar $(DISTDIR); \
	bzip2 $(DISTDIR).tar; \
	/bin/rm -f -r $(DISTDIR);

## clxclient 3.6.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#  Copyright (C) 2003-2006 Fons Adriaensen <fons.adriaensen@skynet.be>
+#  Copyright (C) 2003-2008 Fons Adriaensen <fons@kokkinizita.net>
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU Lesser General Public License as published
@@ -17,19 +17,19 @@
 
 # Modify as required.
 #
-PREFIX = /usr
+PREFIX = /usr/local
 SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
 LIBDIR = lib$(SUFFIX)
 
 
 MAJVERS = 3
-MINVERS = 3.2
+MINVERS = 6.1
 VERSION = $(MAJVERS).$(MINVERS)
 DISTDIR = clxclient-$(VERSION)
 
 
-CPPFLAGS += -Wall -I. -I/usr/X11R6/include -I/usr/include/freetype2 -fpic -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -O2 
-LDFLAGS += -L$(PREFIX)/$(LIBDIR) -L/usr/X11R6/$(LIBDIR)
+CPPFLAGS += -Wall -I. -I/usr/X11R6/include `freetype-config --cflags` -fpic -DVERSION=\"$(VERSION)\" -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -O2 
+LDFLAGS += -L$(PREFIX)/$(LIBDIR) -L/usr/X11R6/$(LIBDIR) `freetype-config --libs`
 LDLIBS +=

=== debian/changelog ===
clxclient (3.6.1-3) unstable; urgency=low

  * Bump Standards.
  * Switch to format 3.0 (quilt).
  * Add debian/gbp.conf file.
  * Add .gitignore file.
  * Patch sent upstream, add comments as per DEP-3.
  * Switch to debhelper 7.
  * Set Architecture field of libclxclient-dev to all, adjust Depends
    field value according to that.
  * Add myself to Uploaders field.
  * Drop cdbs.
  * Update debian/copyright file according to DEP-5 proposal.

 -- Alessio Treglia <alessio@debian.org>  Thu, 08 Jul 2010 10:25:38 +0200

clxclient (3.6.1-2) unstable; urgency=low
  
  * Reordered control file
  * Corrected dependency in control file
  * Bump to Standards-Version: 3.8.4
  * Fixing FTBFS on amd64
  * Added Homepage field to control file
  * Fixed symbols in shared libraries (Closes: #558847)
  * Fixed reference to LGPL-2 in copyright file
  * Fixing FTBFS on i386
  * Added quilt as build dependency
  * Added patch descriptions
  * Added README.source file
  * Added entry for NMU to changelog
  
 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 21 May 2010 21:55:58 +0200

clxclient (3.6.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove 'x_map' from debian/libclxclient3.symbols.*, thanks to Kamal Mostafa
    (Closes: #560644)

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 03 Feb 2010 22:18:48 +0100

clxclient (3.6.1-1) unstable; urgency=low

  * New upstream release
  * Added line to debian/control   ... Section: libs
  * Changed line in debian/control ... Standards-Version: from 3.7.2 to 3.8.1
  * Changed line in debian/control ... Section:(for libclxclient) to libdevel
  * Changed architecture from "any" to "all"
  * Set maintainer to Debian Multimedia Maintainers
  * Add Vcs-Git and Vcs-Browser
  * Update debian/watch	
  * Added debian/symbols file
  
 -- Free Ekanayaka <freee@debian.org>  Sat, 14 Mar 2009 00:55:50 +0100

clxclient (3.3.2-1) unstable; urgency=low

  * New upstream release
  * Updated watch file and copyright

 -- Free Ekanayaka <freee@debian.org>  Thu, 24 May 2007 12:08:54 +0200

clxclient (3.3.1-3) unstable; urgency=low

  * debian/control:
     - the -dev package depends on libxft-dev

 -- Free Ekanayaka <freee@debian.org>  Mon, 14 May 2007 01:15:22 +0200

clxclient (3.3.1-2) unstable; urgency=low

  * Fixed years in debian/copyright, it's actually 2003-2006 not 2005-
    2007

 -- Free Ekanayaka <freee@debian.org>  Tue, 24 Apr 2007 10:53:21 +0200

clxclient (3.3.1-1) unstable; urgency=low

  * Initial release (Closes: #420518)

 -- Free Ekanayaka <freee@debian.org>  Sun, 22 Apr 2007 23:28:46 +0200

=== debian/control ===
Source: clxclient
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 7),
 libasound2-dev,
 libx11-dev,
 libclthreads-dev,
 libxft-dev
DM-Upload-Allowed: yes
Standards-Version: 3.9.0
Vcs-Git: git://git.debian.org/git/pkg-multimedia/clxclient.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/clxclient.git
Homepage: http://www.kokkinizita.net/linuxaudio/downloads/index.html

Package: libclxclient-dev
Section: libdevel
Architecture: all
Depends: libclxclient3 (>= ${source:Version}),
 libclxclient3 (<< ${source:Upstream-Version}+1~),
 libxft-dev,
 ${misc:Depends}
Description: Development file for libclxclient
 X Window System C++ access library. This package includes 
 the development tools.

Package: libclxclient3
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: X Window System C++ access library
 C++ wrapper library around the X Window System API. This package
 includes the shared library object.

=== debian/watch ===
# Site		Directory	Pattern		Version	Script
version=3
http://www.kokkinizita.net/linuxaudio/downloads/index.html clxclient-(.*)\.tar\.bz2

## clxclient 3.9.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
-#  Copyright (C) 2003-2008 Fons Adriaensen <fons@kokkinizita.net>
+# ---------------------------------------------------------------------------------
+#
+#  Copyright (C) 2003-2013 Fons Adriaensen <fons@linuxaudio.org>
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU Lesser General Public License as published
@@ -13,6 +15,8 @@
 #  You should have received a copy of the GNU Lesser General Public
 #  License along with this program; if not, write to the Free Software
 #  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+#
+# ---------------------------------------------------------------------------------
 
 
 # Modify as required.
@@ -23,13 +27,12 @@
 
 
 MAJVERS = 3
-MINVERS = 6.1
+MINVERS = 9.0
 VERSION = $(MAJVERS).$(MINVERS)
-DISTDIR = clxclient-$(VERSION)
 
 
 CPPFLAGS += -Wall -I. -I/usr/X11R6/include `freetype-config --cflags` -fpic -DVERSION=\"$(VERSION)\" -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -O2 
-LDFLAGS += -L$(PREFIX)/$(LIBDIR) -L/usr/X11R6/$(LIBDIR) `freetype-config --libs`
+LDFLAGS += -L/usr/X11R6/$(LIBDIR) `freetype-config --libs`
 LDLIBS +=
 
 
@@ -47,22 +50,13 @@
 
 
 install:	$(CLXCLIENT_MIN)
-	/usr/bin/install -d $(PREFIX)/$(LIBDIR)
-	/usr/bin/install -m 644 $(CLXCLIENT_H) $(PREFIX)/include
-	/usr/bin/install -m 755 $(CLXCLIENT_MIN) $(PREFIX)/$(LIBDIR)
-	/sbin/ldconfig -n $(PREFIX)/$(LIBDIR)
+	install -d $(PREFIX)/$(LIBDIR)
+	install -m 644 $(CLXCLIENT_H) $(PREFIX)/include
+	install -m 755 $(CLXCLIENT_MIN) $(PREFIX)/$(LIBDIR)
+	ldconfig
 	ln -sf $(CLXCLIENT_MIN) $(PREFIX)/$(LIBDIR)/$(CLXCLIENT_SO)
 
 
 clean:
 	/bin/rm -f *~ *.o *.a *.d *.so.*
 
-
-tarball:
-	cd ..; \
-	/bin/rm -f -r $(DISTDIR)*; \
-	svn export clxclient $(DISTDIR); \
-	tar cvf $(DISTDIR).tar $(DISTDIR); \
-	bzip2 $(DISTDIR).tar; \
-	/bin/rm -f -r $(DISTDIR);
-

=== debian/changelog ===
clxclient (3.9.0-5) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version.
    - Require binary:Version in Depends of -dev package.
    - B-D on pkg-config.
  * debian/rules: Include architecture.mk instead of using dpkg-architecture.
  * debian/patches: Use pkg-config to handle xft and x11. Thanks to Helmut
    Grohne for the initial patch. (Closes: #914554)
  * debian/: Bump debhelper compat to 11

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 16 Dec 2018 13:08:37 +0100

clxclient (3.9.0-4) unstable; urgency=medium

  * Sign tags.
  * Update copyright.
  * Add patch to use build architecture compiler for linking. (Closes: #853012)
  * Patches renamed.
  * Improve description.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 29 Jan 2017 17:52:27 +0100

clxclient (3.9.0-3) unstable; urgency=medium

  * Update copyright.
  * Set dh/compat 10.
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 03 Dec 2016 20:15:02 +0100

clxclient (3.9.0-2) unstable; urgency=low

  * Set dh 9.
  * Bump Standards.
  * Removing symbols files (Closes: #746837).
  * Using full path for ldconfig (Closes: #747873).

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sat, 31 May 2014 15:33:11 +0200

clxclient (3.9.0-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Set upstream tarball's compression format to bzip2.
  * Fix Vcs URLs format.
  * Remove obsolete DM-Upload-Allowed: yes field.
  * Update debian/copyright.
  * Run wrap-and-sort -a -s.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 06 Jul 2013 23:49:45 +0100

clxclient (3.6.1-6) unstable; urgency=low

  * Fix symbols file (Closes: #674815)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 28 May 2012 16:47:32 +0200

clxclient (3.6.1-5) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Bump Standards
  * Updated copyright file to format 1.0

  [ Alessio Treglia ]
  * Fix symbols file (Closes: #671954)
  * Fix gitignore file

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 08 May 2012 17:35:01 +0200

clxclient (3.6.1-4) unstable; urgency=low

  * Build with Multi-Arch
  * Fixed URL in watch file
  * Fixed Homepage
  * Bump Standards
  * Refresh symbols files
  * Fix gbp.conf file
  * Wrap-and-sort -a -s
  * Copyright switched to rev. 202
  * Set Architecture to any for libclxclient-dev

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 02 Feb 2012 00:34:18 +0100

=== debian/control ===
Source: clxclient
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 11),
 libasound2-dev,
 libclthreads-dev,
 libx11-dev,
 libxft-dev,
 pkg-config
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/multimedia-team/clxclient.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/clxclient
Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/

Package: libclxclient-dev
Section: libdevel
Architecture: any
Depends:
 libclxclient3 (= ${binary:Version}),
 libxft-dev,
 ${misc:Depends}
Multi-Arch: same
Description: X Window System C++ access library (development files)
 C++ wrapper library around the X Window System API.
 X Window System C++ access library.
 .
 This package provides the development headers.

Package: libclxclient3
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: X Window System C++ access library (shared library)
 C++ wrapper library around the X Window System API.
 X Window System C++ access library.
 .
 This package contains the shared library for libclxclient3.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export PREFIX=/usr
export LIBDIR=lib/$(DEB_HOST_MULTIARCH)
export DESTDIR=$(CURDIR)/debian/tmp

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ -Smakefile

## clxclient 3.9.2

=== debian/changelog ===
clxclient (3.9.2-2.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:30:33 +0000

clxclient (3.9.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062083

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 16:18:15 +0000

clxclient (3.9.2-2) unstable; urgency=medium

  * d/control:
    + Bump dh-compat to 13
    + Bump Standards-Version to 4.6.2
    + Add libclthreads-dev to the Depends of the -dev packages
      Thanks to Vorlon! (Closes: #1035502)
    + Change my email address
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * Refresh patchset with gbp pq
  * Add salsa ci config

 -- Dennis Braun <snd@debian.org>  Fri, 22 Sep 2023 10:19:41 +0200

clxclient (3.9.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Dennis Braun ]
  * New upstream release
  * d/control:
    + Bump Standards-Version to 4.5.0
    + Bump dh-compt to 12
    + Add libfreetype6-dev to B-D
    + Add me as uploader
    + Use https protocol for homepage
    + Set RRR: no
  * d/copyright:
    + http > https
    + Update copyright year
    + Add myself to the d/ section
  * Update patchset
  * Update d/rules
  * d/watch: Use https protocol

 -- Dennis Braun <d_braun@kabelmail.de>  Sun, 23 Feb 2020 18:22:56 +0100

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,33 @@
 Source: clxclient
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Free Ekanayaka <freee@debian.org>,
  Alessio Treglia <alessio@debian.org>,
- Jaromír Mikeš <mira.mikes@seznam.cz>
-Build-Depends:
- debhelper (>= 11),
+ Jaromír Mikeš <mira.mikes@seznam.cz>,
+ Dennis Braun <snd@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5),
+ debhelper-compat (= 13),
  libasound2-dev,
  libclthreads-dev,
+ libfreetype6-dev,
  libx11-dev,
  libxft-dev,
  pkg-config
-Standards-Version: 4.2.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/clxclient.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/clxclient
-Homepage: http://kokkinizita.linuxaudio.org/linuxaudio/
+Homepage: https://kokkinizita.linuxaudio.org/linuxaudio/
+Rules-Requires-Root: no
 
 Package: libclxclient-dev
 Section: libdevel
 Architecture: any
 Depends:
- libclxclient3 (= ${binary:Version}),
+ libclxclient3t64 (= ${binary:Version}),
+ libclthreads-dev,
  libxft-dev,
  ${misc:Depends}
 Multi-Arch: same
@@ -32,7 +37,10 @@
  .
  This package provides the development headers.
 
-Package: libclxclient3
+Package: libclxclient3t64
+Provides: ${t64:Provides}
+Replaces: libclxclient3
+Breaks: libclxclient3 (<< ${source:Version})
 Section: libs
 Architecture: any
 Depends:

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildtools.mk

export PKG_CONF=$(PKG_CONFIG)

export PREFIX=/usr
export LIBDIR=lib/$(DEB_HOST_MULTIARCH)
export DESTDIR=$(CURDIR)/debian/tmp

%:
	dh $@ -Dsource
